Bug 1220949 - crash on architecture filter change
Summary: crash on architecture filter change
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex-dnf
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1227722 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-12 22:42 UTC by John
Modified: 2015-11-19 12:23 UTC (History)
1 user (show)

Fixed In Version: yumex-dnf-4.1.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 12:23:58 UTC
Type: Bug


Attachments (Terms of Use)

Description John 2015-05-12 22:42:18 UTC
Description of problem:

Looks like there's a typo ...

__init__.py:766:on_arch_changed:AttributeError: 'YumexWindow' object has no attribute 'refeash_search'


Version-Release number of selected component (if applicable):
4.1.2

Comment 1 Tim Lauridsen 2015-05-13 05:06:22 UTC
Thanks for reporting, fixed upstream

https://github.com/timlau/yumex-dnf/commit/948dd204288ba74dfc592df9ea2f7c3a07ac589a

Comment 2 Fedora Update System 2015-05-27 16:26:24 UTC
dnfdaemon-0.3.9-1.fc22,yumex-dnf-4.1.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnfdaemon-0.3.9-1.fc22,yumex-dnf-4.1.3-1.fc22

Comment 3 Fedora Update System 2015-05-27 16:26:39 UTC
dnfdaemon-0.3.9-1.fc21,yumex-dnf-4.1.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnfdaemon-0.3.9-1.fc21,yumex-dnf-4.1.3-1.fc21

Comment 4 Fedora Update System 2015-05-28 12:01:39 UTC
Package dnfdaemon-0.3.9-1.fc21, yumex-dnf-4.1.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnfdaemon-0.3.9-1.fc21 yumex-dnf-4.1.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9000/dnfdaemon-0.3.9-1.fc21,yumex-dnf-4.1.3-1.fc21
then log in and leave karma (feedback).

Comment 5 Tim Lauridsen 2015-06-04 04:33:24 UTC
*** Bug 1227722 has been marked as a duplicate of this bug. ***

Comment 6 Jan Kurik 2015-07-15 14:10:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 7 Fedora Update System 2015-10-01 07:35:31 UTC
dnfdaemon-0.3.10-1.fc22 yumex-dnf-4.1.4-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-816c17411d

Comment 8 Fedora Update System 2015-10-04 01:37:18 UTC
dnfdaemon-0.3.10-1.fc22, yumex-dnf-4.1.4-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update yumex-dnf dnfdaemon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-816c17411d

Comment 9 Fedora Update System 2015-11-19 12:23:46 UTC
dnfdaemon-0.3.10-1.fc22, yumex-dnf-4.1.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.